<?PHP
#
#   FILE:  ApprovalQueue.php
#
#   Part of the Collection Workflow Integration System (CWIS)
#   Copyright 2002-2013 Edward Almasy and Internet Scout Research Group
#   http://scout.wisc.edu/cwis/
#
if (!CheckAuthorization(PRIV_RESOURCEADMIN, PRIV_MYRESOURCEADMIN, PRIV_RELEASEADMIN)) {  return;  }

$MyPlugin = $GLOBALS["G_PluginManager"]->GetPlugin("AutoScreenshot");

$MyPlugin->CleanDuplicatesOfManual();

global $G_ImagesToApprove, $G_BlacklistResources, $G_Failures, $G_Queue;

$DB = new Database();

$DB->Query("SELECT * FROM AutoScreenshot_ApprovalQueue limit 100");
$G_ImagesToApprove = $DB->FetchRows();

$DB->Query("SELECT * FROM AutoScreenshot_Blacklist");
$G_BlacklistResources = $DB->FetchRows();

$DB->Query("SELECT * FROM AutoScreenshot_Failures");
$G_FailedResources = $DB->FetchRows();

$G_Queue = $MyPlugin->GetScreenshotQueue();

?>
